package app

import (
	"git.sr.ht/~rockorager/vaxis"
	"git.tilde.town/nbsp/welcome/ui"
)

type Help struct{}

func (view *Help) Event(state *ui.State, event vaxis.Event) (processed bool) {
	if key, ok := event.(vaxis.Key); ok && key.EventType == vaxis.EventPress {
		switch key.String() {
		case "Ctrl+c", "Ctrl+d", "Enter":
			close(ui.Quit)
		}
		processed = true
	}
	win := state.Window().New(0, 0, 80, state.Window().Height)
	win.Wrap(
		vaxis.Segment{Text: `──── links, help, & goodbye ────

`, Style: vaxis.Style{Foreground: vaxis.IndexColor(5)}}, vaxis.Segment{Text: `good job on getting all the way through this tutorial! while there's a lot of things you can do in town, the tools you just received should help you traverse the land and get further help if you need it.

• to join our chatroom and ask for help or just say hi, run `},
		vaxis.Segment{Text: "town chat", Style: vaxis.Style{Foreground: vaxis.IndexColor(3)}},
		vaxis.Segment{Text: `
• run `},
		vaxis.Segment{Text: "town bbj", Style: vaxis.Style{Foreground: vaxis.IndexColor(3)}},
		vaxis.Segment{Text: ` to see what we're talking about on our bulletin board
• oh, and you've got mail! run `},
		vaxis.Segment{Text: "town mail", Style: vaxis.Style{Foreground: vaxis.IndexColor(3)}},
		vaxis.Segment{Text: ` to see who it's from :)

press Enter to quit to a shell!
`},
	)
	return
}
